<?php

$edit_url = $url_util->PostUrl(
   Array(
      'form_mode'             => 'PPIM_EDIT_PERSONA_FRM',
      'person_id'             => $person_id
   )
);

$trash_url = $url_util->PostUrl(
   Array(
      'form_mode'             => 'PPIM_TRASH_PERSONA_FRM',
      'person_id'             => $person_id
   )
);

$add_phone_number_url = $url_util->PostUrl(
   Array(
      'form_mode'             => 'PPIM_ADD_PHONE_NUMBER_FOR_PERSONA_FRM',
      'person_id'             => $person_id
   )
);

$add_address_url = $url_util->PostUrl(
   Array(
      'form_mode'             => 'PPIM_ADD_ADDRESS_FOR_PERSONA_FRM',
      'person_id'             => $person_id
   )
);

$add_email_address_url = $url_util->PostUrl(
   Array(
      'form_mode'             => 'PPIM_ADD_EMAIL_ADDRESS_FOR_PERSONA_FRM',
      'person_id'             => $person_id
   )
);

$ppim_db = new PPIM_Db();

$ppim_db = $ppim_db->Db(
   $default->ppim_db->driver,
   $default->ppim_db
);

$persona = $ppim_db->person->Get(
   $user_obj->id,
   $person_id
);

$email_addresses = $ppim_db->email->ListAll(
   $person_id
);

$template_obj->Register( 'first_name',             $persona->first_name );
$template_obj->Register( 'last_name',              $persona->last_name );
$template_obj->Register( 'middle_name',            $persona->middle_name );
$template_obj->Register( 'add_address_url',        $add_address_url );
$template_obj->Register( 'add_email_address_url',  $add_email_address_url );
$template_obj->Register( 'add_phone_number_url',   $add_phone_number_url );
$template_obj->Register( 'edit_url',               $edit_url );
$template_obj->Register( 'trash_url',              $trash_url );

$template_obj->ParseTemplate(
   './ppim/templates/view/templates/top.inc'
);

$template_obj->ParseTemplate(
   './ppim/templates/view/templates/persona.inc'
);

$template_obj->ParseTemplate(
   './ppim/templates/view/templates/email_info_top.inc'
);

if ( count( $email_addresses ) != 0 ) {
for( $i = 0; $i < count( $email_addresses ); $i++ ) {
   $t_obj = $email_addresses[ $i ];
   $t_obj->HtmlSafe();

   $template_obj->ParseTemplate(
      './ppim/templates/view/templates/email_row.inc',
      Array(
         'email_address'      => $t_obj->email_address,
         'email_alias'        => $t_obj->alias,
         'edit_email_url'     => $url_util->PostUrl( Array(
               'form_mode'       => 'PPIM_EDIT_EMAIL_ADDRESS_FOR_PERSONA_FRM',
               'person_id'       => $person_id,
               'email_id'        => $t_obj->id
         ) ),
         'delete_email_url'      => $url_util->PostUrl( Array(
               'form_mode'       => 'PPIM_DELETE_EMAIL_ADDRESS_FOR_PERSONA_FRM',
               'person_id'       => $person_id,
               'email_id'        => $t_obj->id
         ) )
      )
   );

}
} else {
$template_obj->ParseTemplate(
   './ppim/templates/view/templates/none.inc'
);
}

/*

Phone number information

$template_obj->ParseTemplate(
   './ppim/templates/view/templates/phone_num_info_top.inc'
);

$template_obj->ParseTemplate(
   './ppim/templates/view/templates/none.inc'
);
*/

/*
Address information:

$template_obj->ParseTemplate(
   './ppim/templates/view/templates/address_info_top.inc'
);

$template_obj->ParseTemplate(
   './ppim/templates/view/templates/none.inc'
);
*/

$template_obj->ParseTemplate(
   './ppim/templates/view/templates/bottom.inc'
);

?>
