<?php

include( './prometheus-library/all.lib' );
AutoLoad( 'Xml' );

$file = "xml_data.xml";


class MyXml extends Xml {
   var $depth;
   Function MyXml() {
      $this->BaseObject( 'MyXml' );
      $this->Xml();
      $this->depth = Array();
   }

   Function startElement($parser, $name, $attrs) {
      //echo( $parser . "\n" );
      for ($i = 0; $i < $this->depth[$parser]; $i++) {
         print "  ";
      }
     print "$name\n";
     $this->depth[$parser]++;
   }

   Function endElement($parser, $name) {
     $this->depth[$parser]--;
   }

   Function Parse( $file ) {
      $this->SetElementHandler( "startElement", "endElement");
      if (!($fp = fopen($file, "r"))) {
           die("could not open XML input");
      }

      while ($data = fread($fp, 4096)) {
        if (! $this->ParseXml( $data, feof($fp))) {
        die( sprintf("XML error: %s at line %d",
         $this->ErrorString(),
         $this->LineNumber()));
        }
     }
     $this->DeallocParser();
   }

}

$my_xml = new MyXml();

echo( '<pre>' );
$my_xml->Parse( $file );
echo( '</pre>' );

?>
