<?php

$mail_message = new MailMessage();

$mail_message->sendmail          = $default->use_sendmail;
$mail_message->sendmail_command  = $default->sendmail_command;

$mail_message->smtp              = $default->use_smtp;
$mail_message->smtp_server       = $default->smtp_server;
$mail_message->smtp_server_port  = $default->smtp_server_port;

if ( is_array( $attatched_files ) ) {

reset( $attatched_files );
while( list( $user_fname, $tmp_fname ) = each( $attatched_files ) ) {
   $mail_message->AttatchFile( $tmp_fname, $user_fname, $user_fname );
}

} else {
   $attatched_files = Array();
}

/* $current_server_settings inherited from actions.php3 */
$user_sig_db = new User_Signature_Db();
$user_sig_db = $user_sig_db->Db(
   $default->pimp_settings_db->driver,
   $default->pimp_settings_db
);

$current_signature = new User_Signature();

$ret_vals = $user_sig_db->Get( $user_obj->id );

if ( $ret_vals[ 0 ] == 1 ) {
   $current_signature = $ret_vals[ 1 ];
}

$mail_message->from           = '';
if ( $current_server_settings->from_name != '' ) {
   $mail_message->from =
      $current_server_settings->from_name .
      ' <' . $current_server_settings->from_address . '>';
} else {
   $mail_message->from = 
      $current_server_settings->from_address;
}

if ( $mail_message->from == '' ) {
   $mail_message->from = $user_obj->user_name . '@' ;
   if ( $user_domain_obj->id != '' ) {
      $mail_message->from .= $user_domain_obj->domain_name;
   } else {
      $mail_message->from .= 'localhost';
   }
}

$mail_message->to             = $to_addr;
$mail_message->cc             = $ccc_addr;
$mail_message->bcc            = $bcc_addr;
$mail_message->subject        = $subject;
$mail_message->message_body   = $mail_mesg;

if ( $current_signature->signature != '' ) {
$mail_message->message_body   .= $mail_message->new_line;
$mail_message->message_body   .= $mail_message->new_line;
$mail_message->message_body   .= $current_signature->signature;
}

$mail_message->AddHeader(
'User-Agent', 'Prometheus Internet Mail Program ' . PIMP_VERSION
);

$mail_message->Send();

$mail_action_message = 'Mail Sent - ' . $mail_message->from;

reset( $attatched_files );
while( list( $user_fname, $tmp_fname ) = each( $attatched_files ) ) {
   unlink( $tmp_fname );
}

$form_mode = 'PIMP_MAIL_CHECK_MAILBOX';
include( './pimp/templates/mailbox/main.inc' );

?>
