<?php

$sort_by_last_name_url        = $url_util->PostUrl(
   Array(
      'form_mode'             => 'PPIM_SORT_LAST_NAME'
   )
);

$sort_by_first_name_url       = $url_util->PostUrl(
   Array(
      'form_mode'             => 'PPIM_SORT_FIRST_NAME'
   )
);
$sort_by_middle_name_url      = $url_util->PostUrl(
   Array(
      'form_mode'             => 'PPIM_SORT_MIDDLE_NAME'
   )
);

$add_persona_url = $url_util->PostUrl(
   Array(
      'form_mode'          => 'PPIM_ADD_PERSONA'
   )
);

$sort_by = '';

switch( $form_mode ) {
   case 'PPIM_SORT_LAST_NAME':
      $sort_by_last_name_url = '';
      $sort_by = 'last_name';
      break;
   case 'PPIM_SORT_FIRST_NAME':
      $sort_by_first_name_url = '';
      $sort_by = 'first_name';
      break;
   case 'PPIM_SORT_MIDDLE_NAME':
      $sort_by_middle_name_url = '';
      $sort_by = 'middle_name';
      break;
   default:
      $sort_by_last_name_url = '';
      $sort_by = 'last_name';
      break;
}

$ppim_db = new PPIM_Db();

$ppim_db = $ppim_db->Db(
   $default->ppim_db->driver,
   $default->ppim_db
);

$personas = $ppim_db->person->ListAll(
   $user_obj->id,
   $sort_by
);
$template_obj->Register( 'PPIM_VERSION', $PPIM_VERSION );
$template_obj->ParseTemplate(
   './ppim/templates/main/templates/title_row_start.inc' 
);

echo( '<td>&nbsp;</td>' . "\n" );

if ( $sort_by_last_name_url == '' ) {
   $template_obj->Register( 'value', 'Last Name' );
   $template_obj->ParseTemplate(
      './ppim/templates/main/templates/title_cell_selected.inc' 
   );
} else {
   $template_obj->Register( 'url', $sort_by_last_name_url );
   $template_obj->Register( 'value', 'Last Name' );
   $template_obj->ParseTemplate(
      './ppim/templates/main/templates/title_cell_not_selected.inc' 
   );
}

if ( $sort_by_first_name_url == '' ) {
   $template_obj->Register( 'value', 'First Name' );
   $template_obj->ParseTemplate(
      './ppim/templates/main/templates/title_cell_selected.inc' 
   );
} else {
   $template_obj->Register( 'url', $sort_by_first_name_url );
   $template_obj->Register( 'value', 'First Name' );
   $template_obj->ParseTemplate(
      './ppim/templates/main/templates/title_cell_not_selected.inc' 
   );
}

if ( $sort_by_middle_name_url == '' ) {
   $template_obj->Register( 'value', 'Middle Name' );
   $template_obj->ParseTemplate(
      './ppim/templates/main/templates/title_cell_selected.inc' 
   );
} else {
   $template_obj->Register( 'url', $sort_by_middle_name_url );
   $template_obj->Register( 'value', 'Middle Name' );
   $template_obj->ParseTemplate(
      './ppim/templates/main/templates/title_cell_not_selected.inc' 
   );
}


$template_obj->ParseTemplate(
   './ppim/templates/main/templates/title_row_end.inc'
);

for( $i = 0; $i < count( $personas ); $i++ ) {

   $temp_ref = $personas[ $i ];

   $view_person_url        = $url_util->PostUrl(
      Array(
         'form_mode'             => 'PPIM_VIEW_PERSON',
         'person_id'             => $temp_ref->id
      )
   );

   $temp_ref->HtmlSafe();

   $template_obj->Register( 'view_person_url',  $view_person_url );
   $template_obj->Register( 'ppim_persona_id',  $temp_ref->id );
   $template_obj->Register( 'last_name',        $temp_ref->last_name );
   $template_obj->Register( 'first_name',       $temp_ref->first_name );
   $template_obj->Register( 'middle_name',      $temp_ref->middle_name );

   $template_obj->ParseTemplate(
      './ppim/templates/main/templates/content_row.inc'
   );
}

echo( $template_obj->GetValue( 'content_table_end' ) ) ;

?>
