<?php

/* title row */
$template_obj->Register(
   'title_row_start',
   '<tr class="title" bgcolor="' .
      $template_obj->GetValue( 'title_bgcolor' ) .
   '">'
);
$template_obj->Register( 'title_row_end',       '</tr>' );
$template_obj->Register(
   'title_cell_start',
   '<td class="title" bgcolor="' .
      $template_obj->GetValue( 'title_bgcolor' ) .
   '"><b>'
);
$template_obj->Register( 'title_cell_end',      '</b></td>' );


/* navigation row */
$template_obj->Register(
   'nav_row_start',
   '<tr class="nav" bgcolor="' .
      $template_obj->GetValue( 'nav_bgcolor' ) .
   '">'
);
$template_obj->Register( 'nav_row_end',         '</tr>');
$template_obj->Register(
   'nav_cell_start',
   '<td class="nav" bgcolor="' .
      $template_obj->GetValue( 'nav_bgcolor' ) .
   '">'
);
$template_obj->Register( 'nav_cell_end',        '</td>' );

/* default row */
$template_obj->Register(
   'default_row_start',
   '<tr class="default" bgcolor="' .
      $template_obj->GetValue( 'default_bgcolor' ) .
   '">'
);
$template_obj->Register( 'default_row_end',     '</tr>' );
$template_obj->Register(
   'default_cell_start',
   '<td class="default" bgcolor="' .
      $template_obj->GetValue( 'default_bgcolor' ) .
   '">'
);
$template_obj->Register( 'default_cell_end',    '</td>' );

/* Mail - new */
$template_obj->Register( 'mail_new_row_start',  '<tr class="mailnew">' );
$template_obj->Register( 'mail_new_row_end',    '</tr>' );
$template_obj->Register( 'mail_new_cell_start', '<td class="mailnew">' );
$template_obj->Register( 'mail_new_cell_end',   '</td>' );

/* Mail - deleted */
$template_obj->Register( 'mail_deleted_row_start',    '<tr class="maildeleted">' );
$template_obj->Register( 'mail_deleted_row_end',      '</tr>' );
$template_obj->Register( 'mail_deleted_cell_start',   '<td class="maildeleted">' );
$template_obj->Register( 'mail_deleted_cell_end',     '</td>' );

/* Mail - read */
$template_obj->Register( 'mail_read_row_start',       '<tr class="mailread">' );
$template_obj->Register( 'mail_read_row_end',         '</tr>' );
$template_obj->Register( 'mail_read_cell_start',      '<td class="mailread">' );
$template_obj->Register( 'mail_read_cell_end',        '</td>' );

/*
Reregister the bgcolor element to class="XYZ"
*/
$content_bgcolors = Array(
 'content_bgcolor'         => 'content',
 'title_bgcolor'           => 'title',
 'nav_bgcolor'             => 'nav',
 'default_bgcolor'         => 'default',
 'mail_new_bgcolor'        => 'mailnew',
 'mail_deleted_bgcolor'    => 'maildeleted',
 'mail_read_bgcolor'       => 'mailread'
);

reset( $content_bgcolors );
while( list( $current_bgcolor, $class_value ) = each( $content_bgcolors ) ) {
   $template_obj->Register( 
      $current_bgcolor,
      'class="' . $class_value . '"'
   );
}

?>
